## org.apache.html.dom
Class HTMLAnchorElementImpl

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.html.dom.HTMLElementImpl
                          org.apache.html.dom.HTMLAnchorElementImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.w3c.dom.Element, org.w3c.dom.events.EventTarget, org.w3c.dom.html.HTMLAnchorElement, org.w3c.dom.html.HTMLElement, org.w3c.dom.Node, org.w3c.dom.NodeList, org.w3c.dom.TypeInfo

    public class HTMLAnchorElementImpl

extends HTMLElementImpl
implements org.w3c.dom.html.HTMLAnchorElement

Version:
  $Revision: 447255 $ $Date: 2006-09-18 01:36:42 -0400 (Mon, 18 Sep 2006) $
Author:
  Assaf Arkin
See Also:
  `HTMLAnchorElement`, `ElementImpl`, Serialized Form

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl

`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`HTMLAnchorElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`void` `blur()` Removes keyboard focus from this element.
`void` `focus()` Gives keyboard focus to this element.
`java.lang.String` `getAccessKey()` A single character access key to give access to the form control.
`java.lang.String` `getCharset()` The character encoding of the linked resource.
`java.lang.String` `getCoords()` Comma-separated list of lengths, defining an active region geometry.See also `shape` for the shape of the region.
`java.lang.String` `getHref()` The URI of the linked resource.
`java.lang.String` `getHreflang()` Language code of the linked resource.
`java.lang.String` `getName()` Anchor name.
`java.lang.String` `getRel()` Forward link type.
`java.lang.String` `getRev()` Reverse link type.
`java.lang.String` `getShape()` The shape of the active area.
`int` `getTabIndex()` Index that represents the element's position in the tabbing order.
`java.lang.String` `getTarget()` Frame to render the resource in.
`java.lang.String` `getType()` Advisory content type.
`void` `setAccessKey(java.lang.String accessKey)`
`void` `setCharset(java.lang.String charset)`
`void` `setCoords(java.lang.String coords)`
`void` `setHref(java.lang.String href)`
`void` `setHreflang(java.lang.String hreflang)`
`void` `setName(java.lang.String name)`
`void` `setRel(java.lang.String rel)`
`void` `setRev(java.lang.String rev)`
`void` `setShape(java.lang.String shape)`
`void` `setTabIndex(int tabIndex)`
`void` `setTarget(java.lang.String target)`
`void` `setType(java.lang.String type)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl

`cloneNode, getAttributes, getBaseURI, getDefaultAttributes, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getTypeName, getTypeNamespace, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isDerivedFrom, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl

`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getLocalName, getNamespaceURI, getNodeNumber, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### HTMLAnchorElementImpl

    public HTMLAnchorElementImpl(HTMLDocumentImpl owner,
                                 java.lang.String name)

  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getAccessKey

    public java.lang.String getAccessKey()

  Description copied from interface: `org.w3c.dom.html.HTMLAnchorElement`
  A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.0.

  Specified by:
    `getAccessKey` in interface `org.w3c.dom.html.HTMLAnchorElement`

### setAccessKey

    public void setAccessKey(java.lang.String accessKey)

  Specified by:
    `setAccessKey` in interface `org.w3c.dom.html.HTMLAnchorElement`

### getCharset

    public java.lang.String getCharset()

  Description copied from interface: `org.w3c.dom.html.HTMLAnchorElement`
  The character encoding of the linked resource. See the charset attribute definition in HTML 4.0.

  Specified by:
    `getCharset` in interface `org.w3c.dom.html.HTMLAnchorElement`

### setCharset

    public void setCharset(java.lang.String charset)

  Specified by:
    `setCharset` in interface `org.w3c.dom.html.HTMLAnchorElement`

### getCoords

    public java.lang.String getCoords()

  Description copied from interface: `org.w3c.dom.html.HTMLAnchorElement`
  Comma-separated list of lengths, defining an active region geometry.See also `shape` for the shape of the region. See the coords attribute definition in HTML 4.0.

  Specified by:
    `getCoords` in interface `org.w3c.dom.html.HTMLAnchorElement`

### setCoords

    public void setCoords(java.lang.String coords)

  Specified by:
    `setCoords` in interface `org.w3c.dom.html.HTMLAnchorElement`

### getHref

    public java.lang.String getHref()

  Description copied from interface: `org.w3c.dom.html.HTMLAnchorElement`
  The URI of the linked resource. See the href attribute definition in HTML 4.0.

  Specified by:
    `getHref` in interface `org.w3c.dom.html.HTMLAnchorElement`

### setHref

    public void setHref(java.lang.String href)

  Specified by:
    `setHref` in interface `org.w3c.dom.html.HTMLAnchorElement`

### getHreflang

    public java.lang.String getHreflang()

  Description copied from interface: `org.w3c.dom.html.HTMLAnchorElement`
  Language code of the linked resource. See the hreflang attribute definition in HTML 4.0.

  Specified by:
    `getHreflang` in interface `org.w3c.dom.html.HTMLAnchorElement`

### setHreflang

    public void setHreflang(java.lang.String hreflang)

  Specified by:
    `setHreflang` in interface `org.w3c.dom.html.HTMLAnchorElement`

### getName

    public java.lang.String getName()

  Description copied from interface: `org.w3c.dom.html.HTMLAnchorElement`
  Anchor name. See the name attribute definition in HTML 4.0.

  Specified by:
    `getName` in interface `org.w3c.dom.html.HTMLAnchorElement`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in interface `org.w3c.dom.html.HTMLAnchorElement`

### getRel

    public java.lang.String getRel()

  Description copied from interface: `org.w3c.dom.html.HTMLAnchorElement`
  Forward link type. See the rel attribute definition in HTML 4.0.

  Specified by:
    `getRel` in interface `org.w3c.dom.html.HTMLAnchorElement`

### setRel

    public void setRel(java.lang.String rel)

  Specified by:
    `setRel` in interface `org.w3c.dom.html.HTMLAnchorElement`

### getRev

    public java.lang.String getRev()

  Description copied from interface: `org.w3c.dom.html.HTMLAnchorElement`
  Reverse link type. See the rev attribute definition in HTML 4.0.

  Specified by:
    `getRev` in interface `org.w3c.dom.html.HTMLAnchorElement`

### setRev

    public void setRev(java.lang.String rev)

  Specified by:
    `setRev` in interface `org.w3c.dom.html.HTMLAnchorElement`

### getShape

    public java.lang.String getShape()

  Description copied from interface: `org.w3c.dom.html.HTMLAnchorElement`
  The shape of the active area. The coordinates are givenby `coords`. See the shape attribute definition in HTML 4.0.

  Specified by:
    `getShape` in interface `org.w3c.dom.html.HTMLAnchorElement`

### setShape

    public void setShape(java.lang.String shape)

  Specified by:
    `setShape` in interface `org.w3c.dom.html.HTMLAnchorElement`

### getTabIndex

    public int getTabIndex()

  Description copied from interface: `org.w3c.dom.html.HTMLAnchorElement`
  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0.

  Specified by:
    `getTabIndex` in interface `org.w3c.dom.html.HTMLAnchorElement`

### setTabIndex

    public void setTabIndex(int tabIndex)

  Specified by:
    `setTabIndex` in interface `org.w3c.dom.html.HTMLAnchorElement`

### getTarget

    public java.lang.String getTarget()

  Description copied from interface: `org.w3c.dom.html.HTMLAnchorElement`
  Frame to render the resource in. See the target attribute definition in HTML 4.0.

  Specified by:
    `getTarget` in interface `org.w3c.dom.html.HTMLAnchorElement`

### setTarget

    public void setTarget(java.lang.String target)

  Specified by:
    `setTarget` in interface `org.w3c.dom.html.HTMLAnchorElement`

### getType

    public java.lang.String getType()

  Description copied from interface: `org.w3c.dom.html.HTMLAnchorElement`
  Advisory content type. See the type attribute definition in HTML 4.0.

  Specified by:
    `getType` in interface `org.w3c.dom.html.HTMLAnchorElement`

### setType

    public void setType(java.lang.String type)

  Specified by:
    `setType` in interface `org.w3c.dom.html.HTMLAnchorElement`

### blur

    public void blur()

  Description copied from interface: `org.w3c.dom.html.HTMLAnchorElement`
  Removes keyboard focus from this element.

  Specified by:
    `blur` in interface `org.w3c.dom.html.HTMLAnchorElement`

### focus

    public void focus()

  Description copied from interface: `org.w3c.dom.html.HTMLAnchorElement`
  Gives keyboard focus to this element.

  Specified by:
    `focus` in interface `org.w3c.dom.html.HTMLAnchorElement`

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.